net.sf.jasperreports.crosstabs.design

## Class JRDesignCrosstabBucket

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket
  - - net.sf.jasperreports.crosstabs.design.JRDesignCrosstabBucket

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCrosstabBucket, JRChangeEventsSupport, JRCloneable

      public class JRDesignCrosstabBucket
      extends JRBaseCrosstabBucket
      implements JRChangeEventsSupport

  Implementation of `crosstab group bucket` to be used for report designing.
  Version:
    $Id: JRDesignCrosstabBucket.java 6556 2013-10-04 11:43:52Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COMPARATOR_EXPRESSION`
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_ORDER`
    `static java.lang.String` | `PROPERTY_ORDER_BY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket

      `bucketOrder, comparatorExpression, expression, orderByExpression, orderValue, valueClass, valueClassName, valueClassRealName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignCrosstabBucket()` Creates a crosstab group bucket.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setComparatorExpression(JRExpression comparatorExpression)` Sets the comparator expression.
    `void` | `setExpression(JRDesignExpression expression)` Sets the grouping expression.
    `void` | `setOrder(BucketOrder bucketOrder)` Sets the sorting type.
    `void` | `setOrder(SortOrderEnum orderValue)` Deprecated. replaced by `setOrder(BucketOrder)`
    `void` | `setOrderByExpression(JRExpression orderByExpression)` Sets the expression that provides order by values for group buckets.
    `void` | `setValueClassName(java.lang.String valueClassName)` Sets the bucket value class name.

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket

      `getComparatorExpression, getExpression, getOrder, getOrderByExpression, getOrderValue, getValueClass, getValueClassName`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ORDER_BY_EXPRESSION

          public static final java.lang.String PROPERTY_ORDER_BY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_COMPARATOR_EXPRESSION

          public static final java.lang.String PROPERTY_COMPARATOR_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_ORDER

          public static final java.lang.String PROPERTY_ORDER

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS

          public static final java.lang.String PROPERTY_VALUE_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignCrosstabBucket

          public JRDesignCrosstabBucket()

      Creates a crosstab group bucket.

  - ### Method Detail

    - #### setOrderByExpression

          public void setOrderByExpression(JRExpression orderByExpression)

      Sets the expression that provides order by values for group buckets.
      Parameters:
        `orderByExpression` - the expression that provides order by values for group buckets
      See Also:
        `JRBaseCrosstabBucket.getOrderByExpression()`

    - #### setComparatorExpression

          public void setComparatorExpression(JRExpression comparatorExpression)

      Sets the comparator expression.

      The expressions's type should be compatible with `java.util.Comparator`.

      Parameters:
        `comparatorExpression` - the comparator expression
      See Also:
        `JRCrosstabBucket.getComparatorExpression()`

    - #### setExpression

          public void setExpression(JRDesignExpression expression)

      Sets the grouping expression.
      Parameters:
        `expression` - the grouping expression
      See Also:
        `JRCrosstabBucket.getExpression()`

    - #### setOrder

          @Deprecated
          public void setOrder(SortOrderEnum orderValue)

      Deprecated. replaced by `setOrder(BucketOrder)`
      Sets the sorting type.
      Parameters:
        `orderValue` - one of
        - `SortOrderEnum.ASCENDING`
        - `SortOrderEnum.DESCENDING`
      See Also:
        `JRCrosstabBucket.getOrderValue()`

    - #### setOrder

          public void setOrder(BucketOrder bucketOrder)

      Sets the sorting type.
      Parameters:
        `bucketOrder` - one of
        - `BucketOrder.ASCENDING`
        - `BucketOrder.DESCENDING`
        - `BucketOrder.NONE`
      See Also:
        `JRCrosstabBucket.getOrder()`

    - #### setValueClassName

          public void setValueClassName(java.lang.String valueClassName)

      Sets the bucket value class name.
      Parameters:
        `valueClassName` - the bucket value class name
      See Also:
        `JRCrosstabBucket.getValueClassName()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseCrosstabBucket`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com